module Emvoicer
  class Client
    ATTRIBUTES = [
      :id,
      :name,
      :address_1,
      :address_2,
      :city,
      :zip_code,
      :country,
      :phone
    ]

    attr_reader :service, :attributes

    def initialize(service, attributes)
      @service = service
      @attributes = attributes
    end

    ATTRIBUTES.each do |attr|
      define_method(attr) do
        attributes[attr]
      end
    end
  end
end
