module Emvoicer
  class Invoice
    ATTRIBUTES = [
      :id,
      :number,
      :total_amount,
      :due_amount,
      :issued_on,
      :due_on,
      :currency,
      :client_id
    ]

    attr_reader :service, :attributes

    def initialize(service, attributes)
      @service = service
      @attributes = attributes
    end

    ATTRIBUTES.each do |attr|
      define_method(attr) do
        attributes[attr]
      end
    end

    def client(callback)
      service.client(client_id, callback)
    end
  end
end
